package com.ruoyi.learn.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 批次测试卷对象 learn_test_paper
 *
 * @author ruoyi
 * @date 2025-09-18
 */
public class LearnTestPaper extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次卷id */
    private Long id;

    /** 批次id */
    @Excel(name = "批次id")
    private Integer batchId;

    /** 生成类型 */
    @Excel(name = "生成类型")
    private String buildType;

    /** 科目ID */
    @Excel(name = "科目ID")
    private Long subjectId;

    /** 考生类型 */
    @Excel(name = "考生类型")
    private String examType;

    /** 老师id */
    @Excel(name = "老师id")
    private Long teacherId;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    /** 定向key */
    @Excel(name = "定向key")
    private String directKey;

    /** 卷id */
    @Excel(name = "卷id")
    private Long paperId;

    /** 试卷生成条件 */
    @Excel(name = "试卷生成条件")
    private String conditions;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long creatorId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setBatchId(Integer batchId)
    {
        this.batchId = batchId;
    }

    public Integer getBatchId()
    {
        return batchId;
    }

    public String getBuildType() {
        return buildType;
    }

    public void setBuildType(String buildType) {
        this.buildType = buildType;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Long getUniversityId() {
        return universityId;
    }

    public void setUniversityId(Long universityId) {
        this.universityId = universityId;
    }

    public void setDirectKey(String directKey)
    {
        this.directKey = directKey;
    }

    public String getDirectKey()
    {
        return directKey;
    }

    public void setPaperId(Long paperId)
    {
        this.paperId = paperId;
    }

    public Long getPaperId()
    {
        return paperId;
    }

    public String getConditions() {
        return conditions;
    }

    public void setConditions(String conditions) {
        this.conditions = conditions;
    }

    public void setCreatorId(Long creatorId)
    {
        this.creatorId = creatorId;
    }

    public Long getCreatorId()
    {
        return creatorId;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("batchId", getBatchId())
            .append("directKey", getDirectKey())
            .append("paperId", getPaperId())
            .append("conditions", getConditions())
            .append("creatorId", getCreatorId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
